PV = "1.14.0+20140514T145358+437a529-bs"
SRC_URI = "http://should-already-by-in-dl-dir/clutter-1.14.0+20140514T145358+437a529-bs.tar.gz"
SRC_URI[md5sum] = "9193a2d5cc993b6778db53ca5989ab82"
SRC_URI[sha256sum] = "ae5fb7ba22a75c6503df143c1d11ffa03b9bf222b1d6ad2377239b93fd290ee5"
require clutter.inc
require clutter_abi_version.inc

# We need to rebuild if the cogl ABI changes
require cogl_abi_version.inc



PR = "r${BS_CLUTTER_ABI_VERSION}"

LIC_FILES_CHKSUM = "file://COPYING;md5=4fbd65380cdd255951079008b364516c"


SRCREV_FORMAT = "source"

BASE_CONF += "--disable-introspection"

PACKAGES_DYNAMIC = "libclutter-1.0-examples"

AUTOTOOLS_AUXDIR = "${S}/build"

do_configure_prepend() {
	cp ${STAGING_DATADIR}/gettext/config.rpath ${AUTOTOOLS_AUXDIR}/
	cp ${STAGING_DATADIR}/gettext/po/Makefile.in.in ${S}/po/
}

