require cogl.inc
require cogl_abi_version.inc

PR = "r${BS_COGL_ABI_VERSION}"

LIC_FILES_CHKSUM = "file://COPYING;md5=4fbd65380cdd255951079008b364516c"


B = "${WORKDIR}/build"

SRCREV_FORMAT = "source"

PKG_CONFIG_PATH_prepend = "${STAGING_DIR_HOST}/${exec_prefix}/cogl-nopango/${baselib}/pkgconfig:"


AUTOTOOLS_AUXDIR = "${S}/build"

do_configure_prepend() {
#        mkdir -p ${AUTOTOOLS_AUXDIR} ${S}/po/
	cp ${STAGING_DATADIR}/gettext/config.rpath ${AUTOTOOLS_AUXDIR}/
	cp ${STAGING_DATADIR}/gettext/po/Makefile.in.in ${S}/po/
}

PV = "1.16.0+20141103T134041+c42df9b-bs"
SRC_URI = "http://should-already-by-in-dl-dir/cogl-1.16.0+20141103T134041+c42df9b-bs.tar.gz"
SRC_URI[md5sum] = "3d10c027a61f298e2c1650f0245b719a"
SRC_URI[sha256sum] = "4e69144df1dc470286b7447d37b93baa21b2564c5461ef402193e6cc2fa2b63b"
S = "${WORKDIR}/cogl-${PV}"
