LICENSE = "CLOSED"
COMPATIBLE_MACHINE = "cheetah(-td)?"
DEPENDS = "virtual/kernel live555 directfb"
RDEPENDS_${PN} += "live555"
PROVIDES = "virtual/libgl nexus"

V3D_SUPPORT = "y"

SRC_URI = "\
	file://libv3ddriver-${BASE_MACHINE}.so \
	file://libEGL-${BASE_MACHINE}.so \
	file://gl-headers-${BASE_MACHINE}.tar \
"

do_install() {
    echo S=${S}
    echo WORKDIR=${WORKDIR}
    ls -l ${WORKDIR}
    ls -l ${S}
    if [ "${V3D_SUPPORT}" = "y" ]; then
        install -d ${D}${libdir}/pkgconfig
        install -m 0755 ${WORKDIR}/libv3ddriver-${BASE_MACHINE}.so ${D}${libdir}/libv3ddriver.so
        install -m 0755 ${WORKDIR}/libEGL-${BASE_MACHINE}.so ${D}${libdir}/libEGL.so
        install -d ${D}${includedir}
        cp -r ${WORKDIR}/gl-headers/* ${D}${includedir}/

        cat > ${D}${libdir}/pkgconfig/glesv2.pc <<EOF
prefix=${prefix}
exec_prefix=${prefix}
libdir=${libdir}
includedir=${includedir}

Name: glesv2
Description: Broadcom Nexus libraries (GLESv2)
Cflags:
Libs:
Version: ${PV}
EOF
    fi
}
