SUMMARY = "Convert PEM format keys to gcrypt S-expressions"
DESCRIPTION = "Convert PEM format keys to gcrypt S-expressions"
LICENSE = "LGPLv2.1+"
LIC_FILES_CHKSUM = "file://key-to-sexp.c;beginline=1;endline=21;md5=616105b99fa1d3f2b9ab4f09ac9534df"
S = "${WORKDIR}"

# Make sure we re-parse the recipe when BS_RELEASE_KEYS changes value
__BB_DONT_CACHE = "1"

DEPENDS += "libgcrypt libgpg-error"

BBCLASSEXTEND = "native"

SRC_URI="\
    file://key-to-sexp.c \
"

do_compile() {
    ${CC} ${CFLAGS} ${LDFLAGS} -std=gnu99 -Wall -Werror -o key-to-sexp key-to-sexp.c -lgcrypt -lgpg-error
}

do_install() {
    mkdir -p ${D}${bindir}
    install -m0755 key-to-sexp ${D}${bindir}/key-to-sexp
}
