PR .= ".5brightsign19"

THISOTHERDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${THISOTHERDIR}/${PN}-${PV}", "${THISOTHERDIR}/files"], d)}:"

SRC_URI += "\
	file://busybox-1.11.3-line-edit-echo-fix.patch \
	file://busybox-1.20.2-init-unmount-all-before-shutdown.patch \
	file://busybox-1.20.2-umount-all-skip-proc-and-sys.patch \
        file://busybox-1.22.1-modprobe-modules-not-in-uname-dir.patch \
	file://zcat_madness.patch \
	file://mount-nosymlink-option.patch \
"

python do_menuconfig() {
       master_config = d.getVar('THISOTHERDIR', True) + '/files/defconfig'
       cmd = 'unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS MACHINE; make menuconfig'
       cmd += ' && diff -u ' + master_config + ' .config 2>&1 | less '
       cmd += ' && cp .config ' + master_config

       oe_terminal(d.getVar('SHELL', True) + ' -c "' + cmd + '"', 'menuconfig', d)
}

addtask menuconfig after do_configure
